For the complete documentation index, see llms.txt. This page is also available as Markdown.

DescribeNetworkInterfaceMonitorData

1. API Description

This API (DescribeNetworkInterfaceMonitorData) is used to query network interface monitoring metric data within a specified time range. Includes metrics such as bandwidth, packet count, packet loss, and error packets.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

nicId

Yes

String

Unique ID of the network interface.

It can be obtained by calling DescribeNetworkInterfaces.

metricType

Yes

The type of network interface monitoring metric.

startTime

Yes

String

The query start time.

Time format: yyyy-MM-ddTHH🇲🇲ssZ.

endTime

Yes

String

The query end time.

Time format: yyyy-MM-ddTHH🇲🇲ssZ.

step

No

Integer

Time duration.

Default value: 5 minutes;

Supported values: 1 or 5 minutes.

Default value: 5

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

maxValue

Float

The maximum value of the data point.

minValue

Float

The minimum value of the data point.

avgValue

Float

The average value of the data point.

metrics

Array of MetricValue

The collection of monitoring data.

4. Code Example

1. Query the RX_BITS monitoring metric data for a network interface over a specified time range.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

400

OPERATION_DENIED_TIME_STEP_NOT_SUPPORT

Data point intervals are not supported.

Last updated